<?php

/** @noinspection PhpUndefinedMethodInspection */

namespace DefStudio\GameEngine\Database\Factories\Concerns;

trait DefinesAwards
{
    public function with_award(): self
    {
        return $this->has(game_engine()->awardClass()::factory());
    }
}
